Closed Bug 1847076 Opened 11 months ago Closed 11 months ago

Update PDF.js to new version 399475247feeffb3184d1c865530930a8638aa0e from 2023-08-03 13:38:12

Categories

(Firefox :: PDF Viewer, enhancement)

enhancement

Tracking

()

RESOLVED FIXED
118 Branch
Tracking Status
firefox118 --- fixed

People

(Reporter: update-bot, Assigned: calixte)

References

(Blocks 1 open bug)

Details

(Whiteboard: [3pl-filed][task_id: ZEQCHFlORjuEVtnGqccS3g])

Attachments

(1 file)

This update covers 5 commits. Here are the overall diff statistics, and then the commit information.


toolkit/components/pdfjs/content/build/pdf.js | 203 ++++++++++----
toolkit/components/pdfjs/content/build/pdf.scripting.js | 4 +-
toolkit/components/pdfjs/content/build/pdf.worker.js | 21 +-
toolkit/components/pdfjs/content/web/viewer-geckoview.css | 6 +-
toolkit/components/pdfjs/content/web/viewer-geckoview.js | 32 +-
toolkit/components/pdfjs/content/web/viewer.css | 6 +-
toolkit/components/pdfjs/content/web/viewer.js | 34 +-
toolkit/components/pdfjs/moz.yaml | 4 +-
8 files changed, 191 insertions(+), 119 deletions(-)


b59b1a81a98c6aefe476a550538e6e7ebd15ec5f by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/b59b1a81a98c6aefe476a550538e6e7ebd15ec5f
Authored: 2023-08-02 20:08:09 +0200
Committed: 2023-08-03 14:47:16 +0200

[Editor] Refactor dragging and dropping an editor (bugs 1802895, 1844618)

It'll help to have a full control on what's happening when moving an editor.

Files Modified:

  • src/display/editor/annotation_editor_layer.js
  • src/display/editor/editor.js
  • src/display/editor/freetext.js
  • src/display/editor/ink.js
  • src/display/editor/stamp.js
  • src/display/editor/tools.js
  • test/integration/freetext_editor_spec.js
  • test/integration/test_utils.js
  • web/annotation_editor_layer_builder.css
  • web/pdf_viewer.css
  • web/pdf_viewer.js

99c62f9248e78c2606b70bda5af8a4ca52230c4c by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/99c62f9248e78c2606b70bda5af8a4ca52230c4c
Authored: 2023-08-03 10:51:47 +0200
Committed: 2023-08-03 10:51:47 +0200

[Editor] Stop the resize session when the window is blurred

Files Modified:

  • src/display/editor/editor.js

fcfb2457bc4c7862102d9939f164d0b08b27931c by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/fcfb2457bc4c7862102d9939f164d0b08b27931c
Authored: 2023-08-03 09:46:27 +0200
Committed: 2023-08-03 09:46:31 +0200

[Editor] Use a getter and not a function for the _checkIfSVGFitsInCanvas (bug 1846727)

It's a followup of #16780.

Files Modified:

  • src/display/editor/tools.js

556f42fe52ddc9e5410b5d3de17eee7b127b18dc by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/556f42fe52ddc9e5410b5d3de17eee7b127b18dc
Authored: 2023-08-02 10:52:27 +0200
Committed: 2023-08-02 12:43:39 +0200

[Editor] Let SVG images be resized horizontally/vertically without keeping the aspect ratio (bug 1846727)

Files Modified:

  • src/display/editor/tools.js

64e8557fb52bb7fceac9b5e98dca225a1875ec27 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/64e8557fb52bb7fceac9b5e98dca225a1875ec27
Authored: 2023-08-01 09:02:05 +0200
Committed: 2023-08-01 09:02:05 +0200

[api-minor] Deprecate the PDFDocumentProxy.getJavaScript method

This method is very old, however with the exception of the auto-print hack (when scripting is disabled) in the viewer it's never actually been used.

Most likely the idea with PDFDocumentProxy.getJavaScript was that it'd be useful if scripting support was added, however it turned out that it was a bit too simplistic and instead a number of new methods were added for the scripting use-cases.

Files Modified:

  • src/core/catalog.js
  • src/core/worker.js
  • src/display/api.js
  • test/unit/api_spec.js
  • web/app.js

Assignee: nobody → update-bot
Status: NEW → ASSIGNED

All the jobs in the try run succeeded. Like literally all of them, there weren't
even any intermittents. That is pretty surprising to me, so maybe you should double
check to make sure I didn't misinterpret things and that the correct tests ran...

Anyway, I've done all I can, so I'm passing to you to review and land the patch.
When reviewing, please note that this is external code, which needs a full and
careful inspection - not a rubberstamp.

Assignee: update-bot → cdenizet
Pushed by cdenizet@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/e1e9a9f04f34
Update PDF.js to 399475247feeffb3184d1c865530930a8638aa0e r=pdfjs-reviewers,calixte
Status: ASSIGNED → RESOLVED
Closed: 11 months ago
Resolution: --- → FIXED
Target Milestone: --- → 118 Branch
Blocks: 1844618
Blocks: 1802895
You need to log in before you can comment on or make changes to this bug.

Attachment

General

Creator:
Created:
Updated:
Size: